# Class TileNode

#### Hierarchy

- Object3D
  - TileNode

- Defined in lib/five/model/tile3d/tile-node.ts:23

##### Index

### Constructors

constructor

### Properties

animations
materials
pbmObjects

### Methods

clone
dispose
generateBvhTree
intersectRaycaster
update

## Constructors

### constructor

- new TileNode(
  name: string,
  contentObject: Object3D,
  animations: AnimationClip[],
  disposer?: () => void,
  ): TileNode

  #### Parameters

  - name: string
  - contentObject: Object3D
  - animations: AnimationClip[]
  - disposer: () => void = noop

  #### Returns TileNode

  Overrides THREE.Object3D.constructor

  - Defined in lib/five/model/tile3d/tile-node.ts:33

## Properties

### animations

animations: AnimationClip[]

- Defined in lib/five/model/tile3d/tile-node.ts:26

### materials

materials: Material[]

- Defined in lib/five/model/tile3d/tile-node.ts:25

### pbmObjects

pbmObjects: (PBMMesh | PBMSkinnedMesh | PBMPointCloud | PBMGSObject)[]

- Defined in lib/five/model/tile3d/tile-node.ts:27

## Methods

### clone

- clone(): this

  #### Returns this

  Overrides THREE.Object3D.clone

  - Defined in lib/five/model/tile3d/tile-node.ts:211

### dispose

- dispose(): void

  #### Returns void

  - Defined in lib/five/model/tile3d/tile-node.ts:203

### generateBvhTree

- generateBvhTree(): Promise<TileNode>

  #### Returns Promise<TileNode>

  - Defined in lib/five/model/tile3d/tile-node.ts:68

### intersectRaycaster

- intersectRaycaster(
  raycaster: Raycaster,
  target?: Intersection[],
  ): Intersection[]

  #### Parameters

  - raycaster: Raycaster
  - `Optional` target: Intersection[]

  #### Returns Intersection[]

  - Defined in lib/five/model/tile3d/tile-node.ts:72

### update

- update(
  renderer: WebGLRenderer,
  camera: Camera,
  modelScene: ModelScene,
  tile3d: Tile3D,
  tile: Tile,
  parameterValue: ResolvedParameterValue,
  ): boolean

  #### Parameters

  - renderer: WebGLRenderer
  - camera: Camera
  - modelScene: ModelScene
  - tile3d: Tile3D
  - tile: Tile
  - parameterValue: ResolvedParameterValue

  #### Returns boolean

  - Defined in lib/five/model/tile3d/tile-node.ts:162